using System;

namespace NsPersistent
{
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	public class PDeliveredProduct
	{
		protected DataAccessService.DS.DeliveredProductRow mDataRow = null;

		internal PDeliveredProduct(DataAccessService.DS.DeliveredProductRow dataRow)
		{
			mDataRow = dataRow;
		}

		public PDeliveredProduct(int iDeliveryId, int iProductId, int iQty)
		{
			mDataRow = DataSetManager.DS.DeliveredProduct.NewDeliveredProductRow();
			mDataRow.DeliveryId = iDeliveryId;
			mDataRow.ProductId = iProductId;
			mDataRow.Qty = iQty;
			DataSetManager.DS.DeliveredProduct.AddDeliveredProductRow(mDataRow);
		}

		public void Delete()
		{
			mDataRow.Table.Rows.Remove(mDataRow);
			mDataRow = null;
		}

		public int Qty
		{
			get { return mDataRow.Qty; }
			set { mDataRow.Qty = value; }
		}
	}
}