using System;

namespace NsPersistent
{
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	public class PDeliveryItem
	{
		protected DataAccessService.DS.DeliveryItemRow mDataRow = null;

		internal PDeliveryItem(DataAccessService.DS.DeliveryItemRow dataRow)
		{
			mDataRow = dataRow;
		}

		/*public PDeliveryItem(int iOrderItemId, int iDeliveryId, int iQty)
		{
			mDataRow = DataSetManager.DS.DeliveryItem.NewDeliveryItemRow();
			mDataRow.OrderItemId = iOrderItemId;
			mDataRow.DeliveryId = iDeliveryId;
			mDataRow.Qty = iQty;
			DataSetManager.DS.DeliveryItem.AddDeliveryItemRow(mDataRow);
		}*/

		public void Delete()
		{
			mDataRow.Table.Rows.Remove(mDataRow);
			mDataRow = null;
		}

		public PDelivery GetDelivery()
		{
			return new PDelivery(mDataRow.DeliveryRow);
		}

		public POrderItem GetOrderItem()
		{
			return new POrderItem(mDataRow.OrderItemRow);
		}

		public int Qty
		{
			get { return mDataRow.Qty; }
			set { mDataRow.Qty = value; }
		}
	}
}